% Inicializaao da Planta LACOI
%
% Univesidade Federal da Bahia
% Escola Politecnica
% Departamento de Engenharia Quimica
% Laboratorio de Controle e Otimizacao Industrial
%
% Sugestoes e criticas, favor escrever para
% LACOI@ufba.br           www.LACOI.ufba.br
% (0xx71) 203.9811   ou   (0xx71) 9984.3316

%            ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ?          

clear all ; close all ; clc
disp(' ')
disp(' Simulao em regime dinmico da Planta LACOI')
disp(' ')
disp(' Universidade Federal da Bahia')
disp(' Escola Politcnica')
disp(' Departamento de Engenharia Qumica')
disp(' LACOI - Laboratrio de Controle e Otimizao Industrial')
disp(' ')
disp(' Sugestes e crticas, favor escrever para')
disp(' LACOI@ufba.br           www.LACOI.ufba.br')
disp(' (0xx71) 203.9811   ou   (0xx71) 9984.3316')
disp(' ')

global   Fornalhas_entradas
Fornalhas_entradas = ones(7,1) ;

load Planta_LACOI_estado_estacionario_inicial

%--------------------------------------------------------------------------

% Os proximos comandos somente sao necessarios se houver alteracao na
% planta que mude o estado estacionario da mesma
% 
% load Planta_LACOI_Estado_Estacionario_completo
% 
% Area 100 - Tanque de carga
% Estado_Estacionario( 1)  = LI111(end)  ;
% Estado_Estacionario( 2)  = TI111(end)  ;
% Estado_Estacionario(3:5) = Tanque_concentracoes_molares(end,:) ;
% Estado_Estacionario( 6)  = FI111(end)  ;
% Estado_Estacionario( 7)  = AI111A(end) ;
% Estado_Estacionario( 8)  = AI111B(end) ;
% Estado_Estacionario( 9)  = AI111C(end) ;
% Estado_Estacionario(10)  = FI101(end)  ;
% 
% % Area 400 - CSTR
% Estado_Estacionario(11)  = AI411A(end) ;
% Estado_Estacionario(12)  = AI411B(end) ;
% Estado_Estacionario(13)  = AI411C(end) ;
% 
% % Area 200 - Trocador de calor
% Estado_Estacionario(14:21) = Ttubo(end,1:8)   ;
% Estado_Estacionario(22:29) = Tcasco(end,2:9)  ;
% Estado_Estacionario(30:37) = Tparede(end,1:8) ;
% 
% % Area 300 - Fornalha
% Estado_Estacionario(38) = FI302(end) ;
% Estado_Estacionario(39) = FI303(end) ;
% Estado_Estacionario(40) = TI312(end) ;
% Estado_Estacionario(41:40+26) = Fornalha_Estados(end,:) ;
% 
% % Area 400 - CSTR
% Estado_Estacionario(67)    = FI411(end) ;
% Estado_Estacionario(68)    = FI403(end) ;
% Estado_Estacionario(69)    = FI402(end) ;
% Estado_Estacionario(70:72) = CSTR_Concentracao_molar(end,:) ;
% Estado_Estacionario(73)    = LI411(end) ;
% Estado_Estacionario(74)    = TI411(end) ;
% Estado_Estacionario(75)    = TI412(end) ;
% 
% % Area 500 - Torre de Destilacao
% Estado_Estacionario(76)    = FI511(end) ;
% Estado_Estacionario(77)    = FI503(end) ;
% Estado_Estacionario(78)    = FI512(end) ;
% Estado_Estacionario(79)    = FI502(end) ;
% Estado_Estacionario(80)    = FI513(end) ;
% Estado_Estacionario(81:80+41)   = perfil_fracao_molar_B_sem_C(end,:) ;
% Estado_Estacionario(122:121+41) = perfil_holdup(end,:)               ;
% Estado_Estacionario(163)   = Vazao_molar_C(end)         ;
% Estado_Estacionario(164)   = A500_calor_refervedor(end) ;
% 
% % Area 100 - Tanque de carga
% Estado_Estacionario(165)   = FI103(end) ;
% Estado_Estacionario(166)   = B103(end)  ;
% 
% % Area 700 - Caldeira
% Estado_Estacionario(167)   = FI701(end) ;
% Estado_Estacionario(168)   = FI704(end) ;
% Estado_Estacionario(169)   = FI711(end) ;
% Estado_Estacionario(170)   = CalorGasesCaldeira(end) ;
% Estado_Estacionario(171)   = 0.5258/14.62*FI704(end) ;
% Estado_Estacionario(172)   = PI711(end) ;
% Estado_Estacionario(173)   = AI712(end) ;
% Estado_Estacionario(174)   = PosicaoValvula(end) ;
% Estado_Estacionario(175)   = AI711(end) ;
% Estado_Estacionario(176)   = ZI711(end) ;
% 
% save  Planta_LACOI_estado_estacionario_inicial  Estado_Estacionario


% Univesidade Federal da Bahia
% Escola Politecnica
% Departamento de Engenharia Quimica
% Laboratorio de Controle e Otimizacao Industrial
%
% Sugestoes e criticas, favor escrever para
% LACOI@ufba.br           www.LACOI.ufba.br
% (0xx71) 203.9811   ou   (0xx71) 9984.3316